VOLTHA: Gerrit Queries
======================

A script for constructing gerrit JCL queries

```bash
% git clone ssh://gerrit.opencord.org/onf-scripts
% cd onf-scripts/gerrit/bin

% ./gerrit.sh –help
```

Gerrit by patch or user
-----------------------

| Jira | Command | Description |
| ---- | ------- | ----------- |
| [x](https://gerrit.opencord.org/dashboard/self) | gerrit.sh --dashboard | View user dashboard |
| [x](https://gerrit.opencord.org/q/status:open)  | gerrit.sh --wip | Display unmerged patches |
| [x](https://gerrit.opencord.org/q/status:open)  | gerrit.sh --all voltha-lib-go | Display metadata for a repo: branches, tags, source |
| [x](https://gerrit.opencord.org/q/status:merged) | gerrit.sh --status merged [--user u] | View merged patches |

Search for unmerged patches
-------------------

| Jira | Command | Description |
| ---- | ------- | ----------- |
| [x](https://gerrit.opencord.org/q/owner:joey@opennetworking.org+status:open) | gerrit.sh --wip --me | Display my unmerged patches |

Pending code reviews
-----------------------

| Jira | Command | Description |
| ---- | ------- | ----------- |
| [x](https://gerrit.opencord.org/q/reviewer:self) | gerrit.sh --review --my | Display my pending code reviews |
| [x](https://gerrit.opencord.org/q/reviewer:self) | gerrit.sh --reviewer [u] --reviewer [u]| Display pending code reviews by user |

By repository
-------------

| Jira | Command | Description |
| ---- | ------- | ----------- |
| [x](https://gerrit.opencord.org/q/voltha-lib-go+status:open) | gerrit.sh --patch voltha-lib-go | View open patches by repository | 

Misc
----

| Jira | Command | Description |
| ---- | ------- | ----------- |
| [x](https://gerrit.opencord.org/plugins/gitiles/voltha-lib-go/+/refs/heads/master/VERSION) | gerrit.sh --view repo voltha-lib-go | View repository VERSION file |


See Also
--------

- [Gerrit: Searching Changes](https://gerrit-review.googlesource.com/Documentation/user-search.html)
